## yt-dlp 2023.01.06

=== Makefile ===
all: lazy-extractors yt-dlp doc pypi-files
clean: clean-test clean-dist
clean-all: clean clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with MANIFEST.in
# intended use: when building a source distribution,
# make pypi-files && python setup.py sdist
pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
	        completions yt-dlp.1 requirements.txt setup.cfg devscripts/* test/*

.PHONY: all clean install test tar pypi-files completions ot offlinetest codetest supportedsites

clean-test:
	rm -rf test/testdata/sigs/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 \
	*.mp4 *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.swf *.swp *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS .mailmap
clean-cache:
	find . \( \
		-type d -name .pytest_cache -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
	\) -prune -exec rm -rf {} \;

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python3

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: lazy-extractors yt-dlp yt-dlp.1 completions
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	mkdir -p $(DESTDIR)$(SHAREDIR)/bash-completion/completions
	install -m644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d
	install -m644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/yt-dlp
	rm -f $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	rm -f $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	flake8 .

test:
	$(PYTHON) -m pytest
	$(MAKE) codetest

offlinetest: codetest
	$(PYTHON) -m pytest -k "not download"

# XXX: This is hard to maintain
CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat
yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
	mkdir -p zip
	for d in $(CODE_FOLDERS) ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/yt_dlp/*.py zip/yt_dlp/*/*.py
	mv zip/yt_dlp/__main__.py zip/
	cd zip ; zip -q ../yt-dlp yt_dlp/*.py yt_dlp/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: yt_dlp/*.py yt_dlp/*/*.py devscripts/make_readme.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --ignore-config --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md devscripts/make_contributing.py
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md devscripts/prepare_manpage.py
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: yt_dlp/*.py yt_dlp/*/*.py devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES = $(shell find yt_dlp/extractor -name '*.py' -and -not -name 'lazy_extractors.py')
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@tar -czf yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.pytest_cache' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile MANIFEST.in yt-dlp.1 README.txt completions \
		setup.py setup.cfg yt-dlp yt_dlp requirements.txt \
		devscripts test

AUTHORS: .mailmap
	git shortlog -s -n | cut -f2 | sort > AUTHORS

.mailmap:
	git shortlog -s -e -n | awk '!(out[$$NF]++) { $$1="";sub(/^[ \t]+/,""); print}' > .mailmap

=== debian/changelog ===
yt-dlp (2023.01.06-1) unstable; urgency=medium

  * New upstream version 2023.01.06.
    - Refresh supported sites.
    - Refresh patch.
  * d/control: Build-Depend on pybuild-plugin-pyproject.

 -- Unit 193 <unit193@debian.org>  Fri, 06 Jan 2023 20:33:39 -0500

yt-dlp (2023.01.02-1) unstable; urgency=medium

  * New upstream version 2023.01.02.
    - Refresh supported sites.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Tue, 03 Jan 2023 04:09:06 -0500

yt-dlp (2022.11.11-1) unstable; urgency=medium

  * New upstream version 2022.11.11.
    - Refresh supported sites.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Sat, 12 Nov 2022 19:17:05 -0500

=== debian/control ===
Source: yt-dlp
Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20211213~),
 pandoc,
 pybuild-plugin-pyproject,
 python3-pkg-resources,
 python3-pytest <!nocheck>,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 python3-pyxattr,
 rtmpdump
Suggests:
 libfribidi-bin | bidiv,
 mpv | mplayer,
 phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1News, 1tv, 20min, 23video, 247sports, 24tv.ua, 24video,
 3qsdn, 3sat, 4tube, 56.com, 6play, 7plus, 8tracks, 91porn, 9c9media,
 9gag, 9now.com.au, abc.net.au, abcnews, abcotvs, AbemaTV, AbemaTVTitle,
 acast, AcFunBangumi, AcFunVideo, ADN, AdobeConnect, adobetv, AdultSwim,
 aenetworks, AeonCo, afreecatv, AirMozilla, AirTV, AitubeKZVideo,
 AliExpressLive, AlJazeera, Allocine, AlphaPorno, Alsace20TV,
 Alsace20TVEmbed, Alura, AluraCourse, Amara, AmazonMiniTV, AmazonReviews,
 AmazonStore, AMCNetworks, AmericasTestKitchen, AmericasTestKitchenSeason,
 AmHistoryChannel, anderetijden, Angel, AnimalPlanet, Anvato, aol.com,
 APA, Aparat, AppleConnect, AppleDaily, ApplePodcasts, appletrailers,
 archive.org, ArcPublishing, ARD, ARDBetaMediathek, Arkena, arte.sky.it,
 ArteTV, ArteTVCategory, ArteTVEmbed, ArteTVPlaylist, AsianCrush,
 AsianCrushPlaylist, AtresPlayer, AtScaleConfEvent, ATTTechChannel, ATVAt,
 AudiMedia, AudioBoom, audiomack, Audius, AWAAN, AZMedien, BaiduVideo,
 BanBye, BanByeChannel, bandaichannel, Bandcamp, BannedVideo, bbc,
 bbc.co.uk, BBVTV, BBVTVLive, BBVTVRecordings, BeatBumpPlaylist,
 BeatBumpVideo, Beatport, Beeg, BehindKink, Bellator, BellMedia,
 BerufeTV, Bet, bfmtv, BibelTV, Bigflix, Bigo, Bild, BiliBili,
 Bilibili category extractor, BilibiliAudio, BilibiliAudioAlbum,
 BiliBiliBangumi, BiliBiliBangumiMedia, BiliBiliPlayer, BiliBiliSearch,
 BilibiliSpaceAudio, BilibiliSpacePlaylist, BilibiliSpaceVideo, BiliIntl,
 BiliLive, BioBioChileTV, Biography, BIQLE, BitChute, BitChuteChannel,
 BlackboardCollaborate, BleacherReport, BleacherReportCMS, blogger.com,
 Bloomberg, BokeCC, BongaCams, BooyahClips, BostonGlobe, Box, Bpb, BR,
 BravoTV, Break, BreitBart, BRMediathek, Bundesliga, BusinessInsider,
 BuzzFeed, BYUtv, CableAV, Callin, Caltrans, CAM4, Camdemy, CamdemyFolder,
 CamModels, Camsoda, CamtasiaEmbed, CamWithHer, CanalAlpha, canalc2.tv,
 Canalplus, Canvas, CanvasEen, CarambaTV, CarambaTVPage, CartoonNetwork,
 cbc.ca, CBS, CBSInteractive, CBSLocal, CBSLocalArticle, cbsnews,
 cbssports, CCMA, CCTV, CDA, Cellebrite, CeskaTelevize, CGTN, channel9,
 CharlieRose, Chaturbate, Chilloutzone, Chingari, ChingariUser, chirbit,
 cielotv.it, Cinchcast, Cinemax, CinetecaMilano, CiscoLiveSearch,
 CiscoLiveSession, ciscowebex, CJSW, cliphunter, Clippit, ClipRs,
 Clipsyndicate, ClipYouEmbed, CloserToTruth, CloudflareStream,
 Cloudy, Clubic, Clyp, cmt.com, CNBC, CNBCVideo, CNN, CNNArticle,
 CNNBlogs, CNNIndonesia, ComedyCentral, ComedyCentralTV, CondeNast,
 CONtv, CookingChannel, Corus, Coub, CozyTV, cp24, cpac, Cracked,
 Crackle, Craftsy, CrooksAndLiars, CrowdBunker, CrowdBunkerChannel,
 crunchyroll, CSpan, CSpanCongress, CtsNews, CTV, CTVNews, cu.ntv.co.jp,
 CultureUnplugged, curiositystream, CWTV, Cybrary, CybraryCourse, Daftsex,
 DagelijkseKost, DailyMail, dailymotion, DailyWire, DailyWirePodcast,
 daum.net, DBTV, DctpTv, DeezerAlbum, DeezerPlaylist, defense.gouv.fr,
 democracynow, DestinationAmerica, DetikEmbed, DeuxM, DeuxMNews, DHM,
 Digg, DigitalConcertHall, DigitallySpeaking, Digiteka, Discovery,
 DiscoveryLife, DiscoveryNetworksDe, DiscoveryPlus, DiscoveryPlusIndia,
 DiscoveryPlusIndiaShow, DiscoveryPlusItaly, DiscoveryPlusItalyShow,
 Disney, DIYNetwork, Dotsub, Douyin, DouyuShow, DouyuTV, DPlay, DRBonanza,
 Drooble, Dropbox, Dropout, DropoutSeason, DrTuber, drtv, DTube, duboku,
 Dumpert, dvtv, dw, EaglePlatform, EbaumsWorld, EchoMsk, ehftv, eHow,
 EinsUndEinsTV, EinsUndEinsTVLive, EinsUndEinsTVRecordings, Einthusan,
 eitb.tv, EllenTube, EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais,
 Embedly, EMPFlix, Engadget, Epicon, EpiconSeries, Epoch, Eporner,
 EroProfile, ertflix, Escapist, ESPN, ESPNArticle, ESPNCricInfo,
 EsriVideo, Europa, EuroParlWebstream, EuropeanTour, Eurosport, EUScreen,
 EWETV, EWETVLive, EWETVRecordings, ExpoTV, Expressen, ExtremeTube,
 EyedoTV, facebook, FacebookPluginsVideo, faz.net, fc2, Fczenit,
 Fifa, Filmmodu, filmon, Filmweb, FiveThirtyEight, FiveTV, Flickr,
 Folketinget, FoodNetwork, FootyRoom, Formula1, FOX, FOX9, FOX9News,
 Foxgay, foxnews, FoxNewsVideo, FoxSports, fptplay, FranceCulture,
 FranceInter, FranceTV, francetvinfo.fr, FranceTVSite, Freesound,
 freespeech.org, FreeTvMovies, FrontendMasters, FrontendMastersCourse,
 FrontendMastersLesson, FujiTVFODPlus7, Funimation, Funk, Fusion, Fux,
 FuyinTV, Gab, GabTV, Gaia, GameInformer, GameJolt, GameJoltCommunity,
 GameJoltGame, GameJoltGameSoundtrack, GameJoltSearch, GameJoltUser,
 GameSpot, GameStar, Gaskrank, Gazeta, GDCVault, GediDigital, gem.cbc.ca,
 Genius, GeniusLyrics, Gettr, GettrStreaming, Gfycat, GiantBomb, Giga,
 GlattvisionTV, GlattvisionTVLive, GlattvisionTVRecordings, Glide,
 Globo, GloboArticle, glomex, Go, GoDiscovery, GodTube, Gofile, Golem,
 GoogleDrive, GoPlay, GoPro, Goshgay, GoToStage, GPUTechConf, Gronkh,
 Groupon, Harpodeon, hbo, HearThisAt, Heise, HellPorno, Helsinki,
 HentaiStigma, hetklokhuis, HGTVDe, HGTVUsa, HiDive, HistoricFilms,
 hitbox, HitRecord, hketv, Holodex, HotNewHipHop, hotstar, Howcast,
 HowStuffWorks, hrfernsehen, HRTi, HRTiPlaylist, HSEProduct, HSEShow,
 html5, Huajiao, HuffPost, Hungama, HungamaAlbumPlaylist, HungamaSong,
 Hypem, Hytale, Icareus, IflixSeries, ign.com, IGNArticle, IGNVideo,
 IHeartRadio, Iltalehti, imdb, Imgur, Ina, Inc, IndavideoEmbed,
 InfoQ, Instagram, InstagramIOS, Internazionale, InternetVideoArchive,
 InvestigationDiscovery, IPrima, IPrimaCNN, iq.com, iqiyi, IslamChannel,
 IslamChannelSeries, IsraelNationalNews, ITProTV, ITProTVCourse, ITTF,
 ITV, ITVBTCC, ivi, ivideon, Iwara, Ixigua, Izlesene, Jable,
 JablePlaylist, Jamendo, JamendoAlbum, JeuxVideo, Joj, Jove, JWPlatform,
 Kakao, Kaltura, Kanal2, KankaNews, Karaoketv, KarriereVideos, Katsomo,
 KeezMovies, KelbyOne, Ketnet, khanacademy, Kick, Kicker, KickStarter,
 KickVOD, KinjaEmbed, KinoPoisk, KompasVideo, KonserthusetPlay, Koo,
 KrasView, KTH, Ku6, KUSI, la7.it, laola1tv, LastFM, LastFMPlaylist,
 LastFMUser, lbry, LCI, Lcp, LcpPlay, Le, Lecture2Go, Lecturio,
 LecturioCourse, LecturioDeCourse, LEGO, Lemonde, Lenta, LePlaylist,
 LetvCloud, Libsyn, life, likee, limelight, LineLive, LineLiveChannel,
 LinkedIn, LinuxAcademy, Liputan6, ListenNotes, LiTV, LiveJournal,
 livestream, Livestreamfails, Lnk, LnkGo, loc, LocalNews8, LoveHomePorn,
 LRTStream, LRTVOD, lynda, m6, MagentaMusik360, mailru, MainStreaming,
 MallTV, MangoTV, ManotoTV, ManotoTVLive, ManotoTVShow, ManyVids, MaoriTV,
 Markiza, MarkizaPage, massengeschmack.tv, Masters, MatchTV, MDR, MedalTV,
 media.ccc.de, Mediaite, MediaKlikk, Medialaan, Mediaset, MediasetShow,
 Mediasite, MediasiteCatalog, MediasiteNamedCatalog, MediaStream,
 MediaWorksNZVOD, Medici, megaphone.fm, megatvcom, Meipai, MelonVOD,
 META, metacafe, Metacritic, mewatch, Mgoon, MiaoPai, MicrosoftEmbed,
 microsoftstream, mildom, minds, MinistryGrid, Minoto, miomio.tv,
 mirrativ, MirrorCoUK, MiTele, mixch, mixcloud, MLB, MLBArticle, MLBTV,
 MLBVideo, MLSSoccer, Mnet, MNetTV, MNetTVLive, MNetTVRecordings,
 MochaVideo, MoeVideo, Mofosex, MofosexEmbed, Mojvideo, Morningstar,
 Motherless, MotherlessGroup, Motorsport, MotorTrend, MotorTrendOnDemand,
 MovieClips, MovieFap, Moviepilot, MoviewPlay, Moviezine, MovingImage,
 MSN, mtg, mtv, mtv.de, mtv.it, mtvjapan, MTVUutisetArticle, MuenchenTV,
 Murrtube, MurrtubeUser, MuseScore, MusicdexAlbum, MusicdexArtist,
 MusicdexPlaylist, MusicdexSong, mva, Mwave, MwaveMeetGreet, Mxplayer,
 MxplayerShow, MyChannels, MySpace, MySpass, Myvi, MyVideoGe, MyVidster,
 MyviEmbed, n-tv.de, N1InfoAsset, Nate, NateProgram, NationalGeographicTV,
 Naver, navernow, NBA, NBAChannel, NBAEmbed, NBAWatchEmbed, NBC,
 NBCNews, nbcolympics, NBCSports, NBCSportsStream, NBCSportsVPlayer,
 NBCStations, ndr, NDTV, Nebula, NerdCubedFeed, NetPlusTV, NetPlusTVLive,
 NetPlusTVRecordings, Netverse, NetversePlaylist, NetverseSearch,
 Netzkino, Newgrounds, NewsPicks, Newstube, Newsy, NextMedia,
 NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFB, NFHSNetwork, nfl.com,
 NhkForSchoolBangumi, NhkForSchoolProgramList, NhkForSchoolSubject,
 NhkVod, NhkVodProgram, nhl.com, nick.com, nick.de, nickelodeonru,
 nicknight, niconico, NiconicoUser, Nintendo, Nitter, njoy, NJPWWorld,
 NobelPrize, NoicePodcast, NonkTube, NoodleMagazine, Noovo, Normalboots,
 NOSNLArticle, NosVideo, Nova, NovaEmbed, NovaPlay, nowness, Noz, npo,
 Npr, NRK, NRKPlaylist, NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte,
 NRKTVEpisode, NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru,
 Nuvid, NYTimes, NYTimesArticle, NYTimesCooking, nzherald, NZZ,
 ocw.mit.edu, OdaTV, Odnoklassniki, OfTV, OfTVPlaylist, OktoberfestTV,
 OlympicsReplay, on24, OnDemandKorea, OneFootball, OnePlacePodcast,
 onet.pl, onet.tv, OnetMVP, OnionStudios, Ooyala, OoyalaExternal,
 Opencast, OpencastPlaylist, openrec, OraTV, OsnatelTV, OsnatelTVLive,
 OsnatelTVRecordings, OutsideTV, PacktPub, PacktPubCourse, pandora.tv,
 Panopto, PanoptoList, PanoptoPlaylist, ParamountNetwork, ParamountPlus,
 ParamountPlusSeries, Parler, parliamentlive.tv, Parlview, Patreon,
 PatreonCampaign, pbs, PearVideo, PeekVids, peer.tv, PeerTube,
 peloton, People, PerformGroup, periscope, PhilharmonieDeParis,
 phoenix.de, Photobucket, Piapro, Picarto, PicartoVod, Piksel,
 Pinkbike, Pinterest, PinterestCollection, Pladform, PlanetMarathi,
 Platzi, PlatziCourse, play.fm, player.sky.it, PlayPlusTV, PlayStuff,
 PlaysTV, PlaySuisse, Playtvak, Playvid, PlayVids, Playwire, pluralsight,
 PlutoTV, PodbayFM, PodbayFMChannel, Podchaser, podomatic, Pokemon,
 PokemonWatch, PokerGo, PokerGoCollection, PolsatGo, PolskieRadio,
 Popcorntimes, PopcornTV, PornCom, PornerBros, Pornez, PornFlip,
 PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist, PornHubUser,
 PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO, PornTube,
 PrankCast, PremiershipRugby, PressTV, ProjectVeritas, prosiebensat1,
 PRXAccount, PRXSeries, PRXStory, puhutv, Puls4, Pyvideo, QingTing,
 qqmusic, QuantumTV, QuantumTVLive, QuantumTVRecordings, Qub, R7,
 R7Article, Radiko, RadikoRadio, radio.de, radiobremen, radiocanada,
 radiofrance, RadioJavan, radiokapital, RadioZetPodcast, radlive,
 Rai, RaiNews, RaiPlay, RaiPlayLive, RaiPlayPlaylist, RaiPlaySound,
 RaiPlaySoundLive, RaiPlaySoundPlaylist, RaiSudtirol, RayWenderlich,
 RayWenderlichCourse, RBMARadio, RCS, RCSEmbeds, RCSVarious,
 RCTIPlus, RCTIPlusSeries, RCTIPlusTV, RDS, RedBull, RedBullEmbed,
 RedBullTV, RedBullTVRrnContent, Reddit, RedGifs, RedGifsSearch,
 RedGifsUser, RedTube, RegioTV, RENTV, RENTVArticle, Restudy, Reuters,

## yt-dlp 2023.02.17

=== debian/changelog ===
yt-dlp (2023.02.17-1mx21+1) mx; urgency=medium

  * Get new release to fix YT issues due to API changes.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 17 Feb 2023 12:22:35 -0800

yt-dlp (2022.08.19-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Aug 2022 13:12:23 -0700

yt-dlp (2022.08.19-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Sun, 21 Aug 2022 23:42:08 -0400

## yt-dlp 2023.03.04

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	$(PYTHON) -m pytest -k "not download"
 
 # XXX: This is hard to maintain
-CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat
+CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat yt_dlp/dependencies
 yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
 	mkdir -p zip
 	for d in $(CODE_FOLDERS) ; do \

=== debian/changelog ===
yt-dlp (2023.03.04-1mx21+1) mx; urgency=medium

  * Get new release to fix YT issues due to API changes

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Mar 2023 14:58:39 -0800

=== debian/control ===
Source: yt-dlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 5.20211213~),
               pandoc,
               python3-pkg-resources,
               python3-pytest <!nocheck>,
               python3-setuptools,
               zip
Build-Depends-Indep: python3
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends: aria2 | wget | curl,
         ca-certificates,
         ffmpeg,
         python3-pkg-resources,
         python3-pyxattr,
         rtmpdump,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpv | mplayer
Suggests: libfribidi-bin | bidiv, phantomjs
Provides: youtube-dl
Replaces: youtube-dl
Breaks: youtube-dl
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1tv, 20.detik.com, 20min, 23video, 247sports, 24video, 3qsdn,
 3sat, 4tube, 56.com, 6play, 7plus, 8tracks, 91porn, 9c9media, 9gag,
 9now.com.au, abc.net.au, abcnews, abcotvs, AbemaTV, AbemaTVTitle,
 acast, AcFunBangumi, AcFunVideo, ADN, AdobeConnect, adobetv, AdultSwim,
 aenetworks, afreecatv, AirMozilla, AliExpressLive, AlJazeera, Allocine,
 AlphaPorno, Alsace20TV, Alsace20TVEmbed, Alura, AluraCourse, Amara,
 AmazonStore, AMCNetworks, AmericasTestKitchen, AmericasTestKitchenSeason,
 AmHistoryChannel, anderetijden, Angel, AnimalPlanet, AnimeOnDemand,
 Anvato, aol.com, APA, Aparat, AppleConnect, AppleDaily, ApplePodcasts,
 appletrailers, archive.org, ArcPublishing, ARD, ARDBetaMediathek, Arkena,
 arte.sky.it, ArteTV, ArteTVCategory, ArteTVEmbed, ArteTVPlaylist,
 AsianCrush, AsianCrushPlaylist, AtresPlayer, AtScaleConfEvent,
 ATTTechChannel, ATVAt, AudiMedia, AudioBoom, audiomack, Audius,
 AWAAN, AZMedien, BaiduVideo, BanBye, BanByeChannel, bandaichannel,
 Bandcamp, bangumi.bilibili.com, BannedVideo, bbc, bbc.co.uk, BBVTV,
 BBVTVLive, BBVTVRecordings, Beatport, Beeg, BehindKink, Bellator,
 BellMedia, Bet, bfmtv, BibelTV, Bigflix, Bigo, Bild, BiliBili, Bilibili
 category extractor, BilibiliAudio, BilibiliAudioAlbum, BilibiliChannel,
 BiliBiliPlayer, BiliBiliSearch, BiliIntl, BiliIntlSeries, BiliLive,
 BioBioChileTV, Biography, BIQLE, BitChute, BitChuteChannel,
 BlackboardCollaborate, BleacherReport, BleacherReportCMS, blogger.com,
 Bloomberg, BokeCC, BongaCams, BostonGlobe, Box, Bpb, BR, BravoTV,
 Break, BreitBart, BRMediathek, BusinessInsider, BuzzFeed, BYUtv,
 CableAV, Callin, Caltrans, CAM4, Camdemy, CamdemyFolder, CamModels,
 CamtasiaEmbed, CamWithHer, CanalAlpha, canalc2.tv, Canalplus, Canvas,
 CanvasEen, CarambaTV, CarambaTVPage, CartoonNetwork, cbc.ca, CBS,
 CBSInteractive, CBSLocal, CBSLocalArticle, cbsnews, cbssports, CCMA,
 CCTV, CDA, Cellebrite, CeskaTelevize, CGTN, channel9, CharlieRose,
 Chaturbate, Chilloutzone, Chingari, ChingariUser, chirbit, cielotv.it,
 Cinchcast, Cinemax, CiscoLiveSearch, CiscoLiveSession, ciscowebex,
 CJSW, cliphunter, Clippit, ClipRs, Clipsyndicate, ClipYouEmbed,
 CloserToTruth, CloudflareStream, Cloudy, Clubic, Clyp, cmt.com, CNBC,
 CNBCVideo, CNN, CNNArticle, CNNBlogs, ComedyCentral, ComedyCentralTV,
 CondeNast, CONtv, CookingChannel, Corus, Coub, CozyTV, cp24,
 cpac, Cracked, Crackle, Craftsy, CrooksAndLiars, CrowdBunker,
 CrowdBunkerChannel, crunchyroll, CSpan, CSpanCongress, CtsNews,
 CTV, CTVNews, cu.ntv.co.jp, CultureUnplugged, curiositystream, CWTV,
 Cybrary, CybraryCourse, Daftsex, DagelijkseKost, DailyMail, dailymotion,
 DailyWire, DailyWirePodcast, daum.net, DBTV, DctpTv, DeezerAlbum,
 DeezerPlaylist, defense.gouv.fr, democracynow, DestinationAmerica,
 DHM, Digg, DigitalConcertHall, DigitallySpeaking, Digiteka,
 Discovery, DiscoveryLife, DiscoveryNetworksDe, DiscoveryPlus,
 DiscoveryPlusIndia, DiscoveryPlusIndiaShow, DiscoveryPlusItaly,
 DiscoveryPlusItalyShow, Disney, DIYNetwork, DoodStream, Dotsub,
 Douyin, DouyuShow, DouyuTV, DPlay, DRBonanza, Drooble, Dropbox,
 Dropout, DropoutSeason, DrTuber, drtv, DTube, duboku, Dumpert, dvtv,
 dw, EaglePlatform, EbaumsWorld, EchoMsk, ehftv, eHow, EinsUndEinsTV,
 EinsUndEinsTVLive, EinsUndEinsTVRecordings, Einthusan, eitb.tv,
 EllenTube, EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais,
 Embedly, EMPFlix, Engadget, Epicon, EpiconSeries, Eporner, EroProfile,
 ertflix, Escapist, ESPN, ESPNArticle, ESPNCricInfo, EsriVideo, Europa,
 EuropeanTour, EUScreen, EWETV, EWETVLive, EWETVRecordings, ExpoTV,
 Expressen, ExtremeTube, EyedoTV, facebook, FacebookPluginsVideo,
 faz.net, fc2, Fczenit, Fifa, Filmmodu, filmon, Filmweb, FiveThirtyEight,
 FiveTV, Flickr, Folketinget, FoodNetwork, FootyRoom, Formula1, FOX,
 FOX9, FOX9News, Foxgay, foxnews, FoxSports, fptplay, FranceCulture,
 FranceInter, FranceTV, francetvinfo.fr, FranceTVSite, Freesound,
 freespeech.org, FreeTvMovies, FrontendMasters, FrontendMastersCourse,
 FrontendMastersLesson, FujiTVFODPlus7, Funimation, Funk, Fusion, Fux,
 FuyinTV, Gab, GabTV, Gaia, GameInformer, GameJolt, GameJoltCommunity,
 GameJoltGame, GameJoltGameSoundtrack, GameJoltSearch, GameJoltUser,
 GameSpot, GameStar, Gaskrank, Gazeta, GDCVault, GediDigital, gem.cbc.ca,
 Gettr, GettrStreaming, Gfycat, GiantBomb, Giga, GlattvisionTV,
 GlattvisionTVLive, GlattvisionTVRecordings, Glide, Globo, GloboArticle,
 glomex, Go, GoDiscovery, GodTube, Gofile, Golem, GoogleDrive, GoPro,
 Goshgay, GoToStage, GPUTechConf, Gronkh, Groupon, Harpodeon, hbo,
 HearThisAt, Heise, HellPorno, Helsinki, HentaiStigma, hetklokhuis,
 HGTVDe, HGTVUsa, HiDive, HistoricFilms, hitbox, HitRecord, hketv,
 Holodex, HotNewHipHop, hotstar, Howcast, HowStuffWorks, hrfernsehen,
 HRTi, HRTiPlaylist, HSEProduct, HSEShow, html5, Huajiao, HuffPost,
 Hungama, HungamaAlbumPlaylist, HungamaSong, Hypem, Hytale, Icareus,
 ign.com, IGNArticle, IGNVideo, IHeartRadio, imdb, Imgur, Ina, Inc,
 IndavideoEmbed, InfoQ, Instagram, InstagramIOS, Internazionale,
 InternetVideoArchive, InvestigationDiscovery, IPrima, IPrimaCNN, iq.com,
 iqiyi, ITProTV, ITProTVCourse, ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara,
 Ixigua, Izlesene, Jable, JablePlaylist, Jamendo, JamendoAlbum, JeuxVideo,
 Joj, Jove, JWPlatform, Kakao, Kaltura, Karaoketv, KarriereVideos,
 Katsomo, KeezMovies, KelbyOne, Ketnet, khanacademy, Kicker, KickStarter,
 KinjaEmbed, KinoPoisk, KompasVideo, KonserthusetPlay, Koo, KrasView,
 KTH, Ku6, KUSI, la7.it, laola1tv, LastFM, LastFMPlaylist, LastFMUser,
 lbry, LCI, Lcp, LcpPlay, Le, Lecture2Go, Lecturio, LecturioCourse,
 LecturioDeCourse, LEGO, Lemonde, Lenta, LePlaylist, LetvCloud,
 Libsyn, life, likee, limelight, LineLive, LineLiveChannel, LinkedIn,
 LinuxAcademy, Liputan6, LiTV, LiveJournal, livestream, Livestreamfails,
 Lnk, LnkGo, loc, LocalNews8, LoveHomePorn, LRTStream, LRTVOD, lynda,
 m6, MagentaMusik360, mailru, MainStreaming, MallTV, MangoTV, ManotoTV,
 ManotoTVLive, ManotoTVShow, ManyVids, MaoriTV, Markiza, MarkizaPage,
 massengeschmack.tv, Masters, MatchTV, MDR, MedalTV, media.ccc.de,
 Mediaite, MediaKlikk, Medialaan, Mediaset, MediasetShow, Mediasite,
 MediasiteCatalog, MediasiteNamedCatalog, Medici, megaphone.fm,
 megatvcom, Meipai, MelonVOD, META, metacafe, Metacritic, mewatch,
 Mgoon, MiaoPai, microsoftstream, mildom, minds, MinistryGrid, Minoto,
 miomio.tv, mirrativ, MirrorCoUK, MiTele, mixch, mixcloud, MLB, MLBTV,
 MLBVideo, MLSSoccer, Mnet, MNetTV, MNetTVLive, MNetTVRecordings,
 MochaVideo, MoeVideo, Mofosex, MofosexEmbed, Mojvideo, Morningstar,
 Motherless, MotherlessGroup, Motorsport, MotorTrend, MovieClips,
 MovieFap, Moviepilot, MoviewPlay, Moviezine, MovingImage, MSN, mtg,
 mtv, mtv.de, mtv.it, mtvjapan, MTVUutisetArticle, MuenchenTV, Murrtube,
 MurrtubeUser, MuseScore, MusicdexAlbum, MusicdexArtist, MusicdexPlaylist,
 MusicdexSong, mva, Mwave, MwaveMeetGreet, Mxplayer, MxplayerShow,
 MyChannels, MySpace, MySpass, Myvi, MyVideoGe, MyVidster, MyviEmbed,
 n-tv.de, N1InfoAsset, Nate, NateProgram, NationalGeographicTV, Naver,
 navernow, NBA, NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews,
 nbcolympics, NBCSports, NBCSportsStream, NBCSportsVPlayer, ndr, NDTV,
 Nebula, NerdCubedFeed, NetPlusTV, NetPlusTVLive, NetPlusTVRecordings,
 Netverse, NetversePlaylist, Netzkino, Newgrounds, Newstube, Newsy,
 NextMedia, NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFB,
 NFHSNetwork, nfl.com, NhkForSchoolBangumi, NhkForSchoolProgramList,
 NhkForSchoolSubject, NhkVod, NhkVodProgram, nhl.com, nick.com,
 nick.de, nickelodeonru, nicknight, niconico, NiconicoUser, Nintendo,
 Nitter, njoy, NJPWWorld, NobelPrize, NonkTube, NoodleMagazine, Noovo,
 Normalboots, NosVideo, Nova, NovaEmbed, NovaPlay, nowness, Noz, npo,
 Npr, NRK, NRKPlaylist, NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte,
 NRKTVEpisode, NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru,
 Nuvid, NYTimes, NYTimesArticle, NYTimesCooking, nzherald, NZZ,
 ocw.mit.edu, OdaTV, Odnoklassniki, OktoberfestTV, OlympicsReplay,
 on24, OnDemandKorea, OneFootball, onet.pl, onet.tv, OnetMVP,
 OnionStudios, Ooyala, OoyalaExternal, Opencast, OpencastPlaylist,
 openrec, OraTV, OsnatelTV, OsnatelTVLive, OsnatelTVRecordings,
 OutsideTV, PacktPub, PacktPubCourse, pandora.tv, Panopto, PanoptoList,
 PanoptoPlaylist, ParamountNetwork, ParamountPlus, ParamountPlusSeries,
 Parler, parliamentlive.tv, Parlview, Patreon, PatreonCampaign, pbs,
 PearVideo, PeekVids, peer.tv, PeerTube, peloton, People, PerformGroup,
 periscope, PhilharmonieDeParis, phoenix.de, Photobucket, Piapro, Picarto,
 PicartoVod, Piksel, Pinkbike, Pinterest, PinterestCollection, Pladform,
 PlanetMarathi, Platzi, PlatziCourse, play.fm, player.sky.it, PlayPlusTV,
 PlayStuff, PlaysTV, PlaySuisse, Playtvak, Playvid, PlayVids, Playwire,
 pluralsight, PlutoTV, Podchaser, podomatic, Pokemon, PokemonWatch,
 PokerGo, PokerGoCollection, PolsatGo, PolskieRadio, PolskieRadioCategory,
 Popcorntimes, PopcornTV, PornCom, PornerBros, Pornez, PornFlip,
 PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist, PornHubUser,
 PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO, PornTube,
 PremiershipRugby, PressTV, ProjectVeritas, prosiebensat1, PRXAccount,
 PRXSeries, PRXStory, puhutv, Puls4, Pyvideo, qqmusic, QuantumTV,
 QuantumTVLive, QuantumTVRecordings, Qub, R7, R7Article, Radiko,
 RadikoRadio, radio.de, radiobremen, radiocanada, radiofrance,
 RadioJavan, radiokapital, RadioZetPodcast, radlive, Rai, RaiNews,
 RaiPlay, RaiPlayLive, RaiPlayPlaylist, RaiPlaySound, RaiPlaySoundLive,
 RaiPlaySoundPlaylist, RaiSudtirol, RayWenderlich, RayWenderlichCourse,
 RBMARadio, RCS, RCSEmbeds, RCSVarious, RCTIPlus, RCTIPlusSeries,
 RCTIPlusTV, RDS, RedBull, RedBullEmbed, RedBullTV, RedBullTVRrnContent,
 Reddit, RedGifs, RedGifsSearch, RedGifsUser, RedTube, RegioTV, RENTV,
 RENTVArticle, Restudy, Reuters, ReverbNation, RICE, RMCDecouverte,
 RockstarGames, Rokfin, RoosterTeeth, RoosterTeethSeries, RottenTomatoes,
 Rozhlas, RTBF, RTDocumentry, RTDocumentryPlaylist, rte, rtl.nl, rtl2,
 RTLLuLive, RTLLuRadio, RTNews, RTP, RTRFM, RTS, RTVNH, RTVS, rtvslo.si,
 RUHD, Rule34Video, RumbleChannel, RumbleEmbed, Ruptly, rutube, RUTV,
 Ruutu, Ruv, safari, Saitosan, SAKTV, SAKTVLive, SAKTVRecordings, SaltTV,

## yt-dlp 2023.07.06

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	$(PYTHON) -m pytest -k "not download"
 
 # XXX: This is hard to maintain
-CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat yt_dlp/dependencies
+CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat yt_dlp/compat/urllib yt_dlp/utils yt_dlp/dependencies
 yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
 	mkdir -p zip
 	for d in $(CODE_FOLDERS) ; do \

=== debian/changelog ===
yt-dlp (2023.07.06-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Aug 2023 14:33:15 -0700

yt-dlp (2023.07.06-1) unstable; urgency=medium

  * New upstream version 2023.07.06.

 -- Unit 193 <unit193@debian.org>  Fri, 07 Jul 2023 01:58:53 -0400

yt-dlp (2023.06.22-1) unstable; urgency=medium

  * New upstream version 2023.06.22.

 -- Unit 193 <unit193@debian.org>  Thu, 22 Jun 2023 22:56:05 -0400

yt-dlp (2023.06.21-1) unstable; urgency=medium

  * New upstream version 2023.06.21.
  * d/control: Update Vcs-* fields for new home.

 -- Unit 193 <unit193@debian.org>  Wed, 21 Jun 2023 00:38:02 -0400

yt-dlp (2023.03.04-1) unstable; urgency=medium

  * d/control, d/gbp.conf, d/rules: Move generation of extractors to buildtime.
    Thanks to Paul Wise.
  * New upstream version 2023.03.04.

 -- Unit 193 <unit193@debian.org>  Mon, 06 Mar 2023 01:34:38 -0500

yt-dlp (2023.02.17-1) unstable; urgency=medium

  * New upstream version 2023.02.17.
    - youtube: Fix uploader_id extraction. (Closes: #1031522)
    - Refresh supported sites.
  * d/rules: Opt-out of trimmed changelogs.

 -- Unit 193 <unit193@debian.org>  Fri, 17 Feb 2023 18:37:11 -0500

=== debian/control ===
Source: yt-dlp
Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 5.20211213~),
               pandoc,
               pybuild-plugin-pyproject,
               python3-pkg-resources,
               python3-pytest <!nocheck>,
               python3-setuptools,
               zip
Build-Depends-Indep: python3
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
Vcs-Git: https://codeberg.org/Unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Recommends: aria2 | wget | curl,
            ca-certificates,
            ffmpeg,
            python3-pyxattr,
            rtmpdump
Suggests: libfribidi-bin | bidiv, mpv | mplayer, phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 ${yt-dlp:Sites}

## yt-dlp 2023.11.16

=== requirements.txt ===
mutagen
pycryptodomex
websockets
brotli; implementation_name=='cpython'
brotlicffi; implementation_name!='cpython'
certifi
requests>=2.31.0,<3
urllib3>=1.26.17,<3

=== debian/changelog ===
yt-dlp (2023.11.16-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Unit 193 <unit193@debian.org>  Tue, 21 Nov 2023 02:31:07 -0500

yt-dlp (2023.11.16-1) unstable; urgency=medium

  * New upstream version 2023.11.16.
    - Patch Generic Extractor MITM Vulnerability via Arbitrary Proxy Injection.
      Disallow smuggling of arbitrary http_headers; extractors now only use
      specific headers. (Closes: #1055996, CVE-2023-46121)
  * d/control: Drop rtmpdump and mpv, as their use is deprecated.
  * d/t/upstream-tests.sh: Fix a typo in a variable name.

 -- Unit 193 <unit193@debian.org>  Thu, 16 Nov 2023 02:25:22 -0500

yt-dlp (2023.10.13-1) unstable; urgency=medium

  * New upstream version 2023.10.13.
  * d/control: Drop attr alternatives. Thanks, Christoph Anton Mitterer.
  * d/t/upstream-tests.sh: Unset proxy variables for Ubuntu's CI.

 -- Unit 193 <unit193@debian.org>  Sat, 14 Oct 2023 01:27:23 -0400

yt-dlp (2023.10.07-1) unstable; urgency=medium

  * New upstream version 2023.10.07.

 -- Unit 193 <unit193@debian.org>  Sat, 07 Oct 2023 02:48:38 -0400

yt-dlp (2023.09.24-2) unstable; urgency=medium

  * d/t/control: Allow stderr.

 -- Unit 193 <unit193@debian.org>  Sun, 01 Oct 2023 21:51:27 -0400

yt-dlp (2023.09.24-1) unstable; urgency=medium

  * New upstream version 2023.09.24.
    - Refresh patch.
  * d/control: Add python3-xattr, attr as alternatives to python3-pyxattr.
    Closes: #987753

 -- Unit 193 <unit193@debian.org>  Sat, 23 Sep 2023 22:23:43 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Unit 193 <unit193@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 5.20211213~),
-               pandoc,
-               pybuild-plugin-pyproject,
-               python3-pkg-resources,
-               python3-pytest <!nocheck>,
-               python3-setuptools,
-               zip
-Build-Depends-Indep: python3
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python (>= 5.20211213~),
+ pandoc,
+ pybuild-plugin-pyproject,
+ python3-pkg-resources,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
+ zip
+Build-Depends-Indep:
+ python3
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
@@ -19,13 +21,17 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
-Recommends: aria2 | wget | curl,
-            ca-certificates,
-            ffmpeg,
-            python3-pyxattr,
-            rtmpdump
-Suggests: libfribidi-bin | bidiv, mpv | mplayer, phantomjs
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-pkg-resources
+Recommends:
+ aria2 | wget | curl,
+ ca-certificates,
+ ffmpeg,
+Suggests:
+ libfribidi-bin | bidiv,
+ phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
  The main focus of this project is adding new features and patches

=== debian/tests/control ===
Tests: upstream-tests.sh
Depends:
 @,
 @builddeps@,
 python3-all,
Restrictions: allow-stderr

## yt-dlp 2023.12.30

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	$(PYTHON) -m pytest -k "not download"
 
 # XXX: This is hard to maintain
-CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat yt_dlp/compat/urllib yt_dlp/utils yt_dlp/dependencies
+CODE_FOLDERS = yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor yt_dlp/compat yt_dlp/compat/urllib yt_dlp/utils yt_dlp/dependencies yt_dlp/networking
 yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
 	mkdir -p zip
 	for d in $(CODE_FOLDERS) ; do \

=== requirements.txt ===
mutagen
pycryptodomex
brotli; implementation_name=='cpython'
brotlicffi; implementation_name!='cpython'
certifi
requests>=2.31.0,<3
urllib3>=1.26.17,<3
websockets>=12.0

=== debian/changelog ===
yt-dlp (2023.12.30-1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 23 Jan 2024 13:34:08 -0500

yt-dlp (2023.12.30-1) unstable; urgency=medium

  * New upstream version 2023.12.30.
  * d/copyright: Bump years.

 -- Unit 193 <unit193@debian.org>  Mon, 01 Jan 2024 03:45:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: yt-dlp
-Maintainer: Unit 193 <unit193@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Unit 193 <unit193@debian.org>
 Section: web
 Priority: optional
 Build-Depends:
@@ -21,7 +22,7 @@
 
 Package: yt-dlp
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${python3:Depends},
  python3-pkg-resources
